<!--
  -   Copyright 2014-2023 IHE International
  -
  -    Licensed under the Apache License, Version 2.0 (the "License");
  -    you may not use this file except in compliance with the License.
  -    You may obtain a copy of the License at
  -
  -        http://www.apache.org/licenses/LICENSE-2.0
  -
  -    Unless required by applicable law or agreed to in writing, software
  -    distributed under the License is distributed on an "AS IS" BASIS,
  -    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  -    See the License for the specific language governing permissions and
  -    limitations under the License.
  -->

<ui:composition xmlns:rich="http://richfaces.org/rich" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:h="http://java.sun.com/jsf/html"
                xmlns:a4j="http://richfaces.org/a4j" xmlns:c="http://java.sun.com/jstl/core"
                xmlns:g="http://www.ihe.net/gazelle" xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:gdk="http://www.ihe.net/gazellecdk" xmlns="http://www.w3.org/1999/xhtml">
    <a4j:region rendered="#{elementDescription != null}">
        <tr class="rf-dt-r">
            <td class="rf-dt-c">
                <h:outputText value="#{nameElement}"/>
                <a4j:commandLink actionListener="#{auditMessageEditor.removeElementDescription(elementDescription)}"
                                 rendered="#{auditMessageEditor.userAbleToDeleteElementDescription(elementDescription)}"
                                 render="globalForm" title="#{messages['net.ihe.gazelle.audit.message.Remove']}">
                    <span class="fa fa-times text-danger"></span>
                </a4j:commandLink>
            </td>
            <td class="rf-dt-c">
                <h:selectOneMenu value="#{elementDescription.optionality}" styleClass="form-control">
                    <s:selectItems value="#{auditMessageEditor.optionalityValues}" var="val"
                                   noSelectionLabel="#{messages['net.ihe.gazelle.audit.message.PleaseSelect']}"
                                   label="#{val}"/>
                </h:selectOneMenu>
            </td>
            <td class="rf-dt-c">
                <h:inputText value="#{elementDescription.value}" styleClass="form-control"/>
            </td>
            <td class="rf-dt-c">
                <h:inputText value="#{elementDescription.regex}" styleClass="form-control"/>
            </td>
        </tr>
    </a4j:region>
</ui:composition>
